Package Details: python2-tweepy 3.5.0-1

Git Clone URL: https://aur.archlinux.org/python-tweepy.git (read-only)
Package Base: python-tweepy
Description: A Python library for accessing the entire Twitter API
Upstream URL: http://www.tweepy.org
Licenses: MIT
Submitter: anthraxx
Maintainer: anthraxx
Last Packager: anthraxx
Votes: 37
Popularity: 0.489251
First Submitted: 2015-01-28 21:31
Last Updated: 2015-11-23 01:47

Latest Comments

anthraxx commented on 2015-08-23 19:00

@Hund: not tweepy's fault, check your other packages during upgrade

Hund commented on 2015-08-23 17:07

I cannot install this package due to: http://hastebin.com/vifehulojo.log

I have python-crypto and python2-cryptography installed as its required by KeepassC.

alejandrogomez commented on 2014-09-05 11:03

Ok, I will do that for the rest of the packages I maintain that don't have build step. Thanks!

TrialnError commented on 2014-09-05 10:22

If there is no build process (as it seems, as it calls just install) you should rename build() to package()

openess commented on 2014-04-21 15:46

I got this when trying to build the package. After installing the python2-setuptools package from extra it built fine. Should that be a dependency, or a build-dep or something?

==> Making package: python2-tweepy 2.2-1 (Mon 21 Apr 17:34:15 CEST 2014)
==> WARNING: Using a PKGBUILD without a package() function is deprecated.
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Found tweepy-2.2.tar.gz
==> Validating source files with md5sums...
tweepy-2.2.tar.gz ... Passed
==> Extracting sources...
-> Extracting tweepy-2.2.tar.gz with bsdtar
==> Removing existing pkg/ directory...
==> Entering fakeroot environment...
==> Starting build()...
Traceback (most recent call last):
File "setup.py", line 3, in <module>
from setuptools import setup, find_packages
ImportError: No module named setuptools
==> ERROR: A failure occurred in build().
Aborting...

alejandrogomez commented on 2014-03-23 11:31

@7kry done, sorry for the latency.

7kry commented on 2014-03-18 10:08

PKGBUILD must be updated and fixed.

5c5
< pkgver=2.1
---
> pkgver=2.2
10a11
> makedepends=('python2-setuptools')
13c14
< md5sums=('529819cc8a0b283b7b47470ceb06cd16')
---
> md5sums=('c22454a64a29744e9a0a67ff24afc3b8')

alejandrogomez commented on 2013-07-30 16:42

Can you try to reach him by email? Maybe he can make a new release with the changes you mentioned.

felixonmars commented on 2013-07-30 02:03

@alejandrogomez
Thanks. I just checked poster and there is already a commit in master to exclude tests - though it's been half a year and the author didn't release a new version.

alejandrogomez commented on 2013-07-29 16:20

https://github.com/tweepy/tweepy/pull/325 done, I hope it gets merged soon.

All comments